Skip to main content
Update Employee

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

language
enum<string>
required

The language of the input data, which has an impact on the Skill extraction. auto will automatically detect the language used in the provided data.

Available options:
auto,
nl,
fr,
en,
de
Example:

"en"

strict
boolean
default:false

If strict is enabled, entity creation will fail when a Skill Profile cannot be constructed. If strict is set to false, failed Skill Profile creation will still result in entity creation, but the Skill Profile will be empty.

Body

application/json

Default structure for updating Employee data.

assigned_position
string | null

Job title of the Employee's assigned position. Only one of assigned_position or assigned_position_id should be provided upon creation or update. Note that setting assigned_position instead of assigned_position_id does not provide Skill Profile data, as there is no link to a Job entity.

Required string length: 1 - 255
Example:

"Python Developer"

assigned_position_id
string<uuid>

external_id of the Job the Employee is assigned to. Only one of assigned_position or assigned_position_id should be provided upon creation or update. The assigned_position is automatically filled in with the job_name of the Job. Upon update or delete of the Job, the assigned_position is also updated accordingly.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"b3903505-eb84-42dc-a79f-5e7b1fe897b7"

active
boolean | null
default:true

The Employee will not be used in matching if active is false. This is useful when an Employee is being phased out.

Example:

true

organisational_unit
string | null

The external ID of the Organisational Unit the Employee is assigned to.

Required string length: 1 - 255
Pattern: [a-zA-Z0-9_-]+
Example:

"e4d3a59c-2f37-4a3f-9318-9d75e0e7a8f1"

working_history
object[] | null

The working history of an Employee. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Working History events.

education_history
object[] | null

The education history of an Employee. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Education History events.

languages
object[] | null

List of ISO 639-1 codes for languages spoken by the Employee, combined with the proficiency level. The proficiency levels go from 1 (elementary proficiency) to 5 (native proficiency). If the level is omitted, the default proficiency level of 2 is used.

desired_functions
object[] | null

List of desired functions of the Employee. Elements consist of a title and an importance. The title can be either a single-line string or free text. The desired function is only processed and stored when the desired function is recognized by TechWolf AI.

Example:
non_desired_functions
array | null
deprecated

List of non-desired functions of the Employee. Elements consist of a title and an importance. The title can be either a single-line string or free text. The non-desired function is only processed and stored when the non-desired function is recognized by TechWolf AI.

location
Location · object

A geographic location, expressed in latitude and longitude. This can represent a home address, an office location... Each entity is limited to having a single location. To get the latitude and longitude for a given address, you can use the Google Maps Geocoding API or a predefined lookup table (for example by zip code). If location is present in matching or filters, it will act as an override for geo-distance calculations.

employee_documents
object[]

List of base64 encoded documents (e.g. CVs) related to the Employee in PDF (.pdf), Word (.doc or .docx) or plain-text (.txt) format.

Response

No Content